Bug#889962: node-mapnik FTBFS with mapnik-vector-tile 1.6.0+dfsg-1

2018-02-09 Thread Adrian Bunk
Source: node-mapnik Version: 3.6.2+dfsg-3 Severity: serious https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/node-mapnik.html ... ../src/mapnik_vector_tile.cpp: In static member function 'static v8::Local VectorTile::_compositeSync(Nan::NAN_METHOD_ARGS_TYPE)':

Bug#889963: Use iso_3166-1.mo filename instead of symlink

2018-02-09 Thread Dr. Tobias Quathamer
Package: localechooser Version: 2.75 Severity: normal Tags: patch Hi, I spotted a minor issue in localechooser, because I've renamed the gettext domains in iso-codes to better match the ISO standard. The old gettext domains are still provided as symlinks, but eventually I'll remove them. So

Bug#886395: reassign to libqt5network5

2018-02-09 Thread Sandro Knauß
Control: reassign -1 libqt5network5 5.9.2+dfsg-9 Control: notfound -1 2.4.0+dfsg-1 Control: notfound -1 5.7.1+dfsg-3+b1 Control: affects -1 owncloud-client Control: forwarded -1 https://bugreports.qt.io/browse/QTBUG-64359 Hey, I looks like this bug is actually a Qt bug, that's why reassigning

Bug#889964: lintian: Don't emit spelling-error-in-patch-description for spelling error patches

2018-02-09 Thread Bas Couwenberg
Source: lintian Version: 2.5.74 Severity: normal Dear Maintainer, Please tune the spelling-error-in-patch-description tag to not emit it for spelling error patches (where the description mentions which spelling errors were fixed). Kind Regards, Bas

Bug#889954: [Pkg-xmpp-devel] Bug#889954: gajim: please play nicely with gajim-httpupload and gajim-omemo (i.e. break it ; ))

2018-02-09 Thread Dominik George
Hi, > Please join the xmpp-team in salsa.d.o and fix it in the git! :~) > (Only if you like, no pressure intended!) I had planned to not register a -guest account on salsa, given that I am about to become a DD, but that plan was made 9 months ago and as my AM has been entirely unresponsive for

Bug#889961: courier-authdaemon: Upgrade failures in 0.68.0-4 package

2018-02-09 Thread Amos Jeffries
It seems that the systemd/systemctl is removing the /run/courier/authdaemon/pid file underneath courier. Removing the line "PIDFile=/run/courier/authdaemon/pid" from the installed .service file resolves this problem and upgrade works fine. Amos

Bug#888985: [pkg-go] Bug#888985: RFS: irtt/0.9-1 [ITP] (#888985)

2018-02-09 Thread Pete Heist
> On Feb 9, 2018, at 8:15 AM, Michael Stapelberg wrote: > > On Fri, Feb 9, 2018 at 2:09 AM, Pete Heist > wrote: > > From the original warnings you sent I know I’ve fixed all except "I: irtt > source:

Bug#889952: Imagemagick SIGABRT malformed image

2018-02-09 Thread Johannes Wagner
Package: imagemagick_6.9.7.4+dfsg-16ubuntu2.debian.tar.xz Version: ImageMagick 6.9.7-4 Q16 Hello, Several malformed sample images which crash ImageMagick are attached. # convert sample1 /dev/null convert: magick/quantum.c:216: QuantumInfo *DestroyQuantumInfo(QuantumInfo *): Assertion

Bug#889859: chemps2: FTBFS on mipsel: test5 segfaults

2018-02-09 Thread Sebastian Wouters
Dear Aaron, To be honest, I haven't got the fogiest. On other architectures, it works fine. And test5 hasn't been individually changed since v1.8 was released (24 Aug 2016): https://github.com/SebWouters/CheMPS2/commits/master/tests/test5.cpp.in https://github.com/SebWouters/CheMPS2/releases

Bug#889954: gajim: please play nicely with gajim-httpupload and gajim-omemo (i.e. break it ;))

2018-02-09 Thread Dominik George
Package: gajim Version: 1.0.0~beta1-1 Severity: minor -BEGIN PGP SIGNED MESSAGE- Hash: SHA256 As I understand it, Gajim >= 0.98.1~ implements OMEMO and HTTP File Upload in the core and does not need external plugins for it anymore. Both plugins are packaged in Debian. While Gajim seems

Bug#889953: libbpp-phyl FTBFS on 32bit: RegisterRatesSubstitutionModel.h:154:36: error: invalid covariant return type

2018-02-09 Thread Adrian Bunk
Source: libbpp-phyl Version: 2.3.2-1 Severity: serious https://buildd.debian.org/status/package.php?p=libbpp-phyl=sid ... In file included from /<>/src/Bpp/Phyl/Io/BppOSubstitutionModelFormat.cpp:113:0: /<>/src/Bpp/Phyl/Io/../Model/RegisterRatesSubstitutionModel.h:154:36: error: invalid

Bug#889956: dhex: segfault on save failure

2018-02-09 Thread Peter Gervai
Package: dhex Version: 0.68-2+b2 Severity: minor dhex crashes when file IO returns any error, smells like complete lack of error handling. Steps to reproduce: echo oh-well > foo chmod a-w foo dhex foo .. edit .. try to save segfault

Bug#889957: RM: rat -- RoQA; dead upstream since 2003, unused, alternatives exist

2018-02-09 Thread Adam Borowski
Package: ftp.debian.org Severity: normal Hi! There's not exactly a dearth of voip programs, and rat is one that hasn't seen an upstream release since 2003. It's irresponsible to ship a networked program processing untrusted data that's not maintained either upstream nor in Debian for that long

Bug#889908: gitlab: missing gem in the Gemfile

2018-02-09 Thread Pirate Praveen
On വ്യാഴം 08 ഫെബ്രുവരി 2018 10:06 വൈകു, Leopold Palomo-Avellaneda wrote: > Please, could you give me some workaround to solve this issue? You will need to set environment variable DB. See https://salsa.debian.org/ruby-team/gitlab/raw/debian/8.13.11+dfsg1-8/debian/README.Debian signature.asc

Bug#889958: RM: uclmmbase -- RoQA; dead upstream, RC-buggy, only rdep: rat

2018-02-09 Thread Adam Borowski
Package: ftp.debian.org Severity: normal Hi! uclmmbase is a library that has last seen an upstream release in 2006, which was also the last time it had a maintainer upload. It doesn't look useful (many alternatives exist), and its only rdep is rat, for which I've just filed a RM.

Bug#889915: libfaad2 in Wheezy contains patches for some security bugs. They were not backported to Jessie.

2018-02-09 Thread Salvatore Bonaccorso
Hi Fabian, On Fri, Feb 09, 2018 at 08:26:10AM +0100, Fabian Greffrath wrote: > tags 889915 +security +jessie > thanks > > Forwarding this to the security team. The current issues which were fixed in DLA-1077-1 are all no-dsa, so thei did not warrant a DSA via security.d.o. Can you fix those

Bug#889905: [Pkg-xfce-devel] Bug#889905: xfce4-notifyd: privacy-invasive logging of notification content

2018-02-09 Thread Sergio Gelato
* Yves-Alexis Perez [2018-02-08 20:38:01 +0100]: > Hi, thanks for the bug report. Can you provide the upstream bug report on > this? I can't reproduce with: > > notify-send ' ' on xfce4-notifyd 0.4.1-1 so maybe it's been > fixed meanwhile. The upstream bug numbers are #10027 and #14073. Yes,

Bug#712485:

2018-02-09 Thread Nico Schlömer
Perhaps it's useful to report which are the offending lines in the build log. For Trilinos [1], for example, a hidden flags are reported, but I have no idea why. Can you help me out? Cheers, Nico [1] https://buildd.debian.org/status/fetch.php?pkg=trilinos=amd64=12.12.1-5=1517856320=0

Bug#889751: [pkg-gnupg-maint] Bug#889751: scdaemon: BAD PIN since 2.2.4-2 upgrade

2018-02-09 Thread Yves-Alexis Perez
On Fri, 2018-02-09 at 10:10 +0100, Yves-Alexis Perez wrote: > On Thu, 2018-02-08 at 19:47 -0500, Daniel Kahn Gillmor wrote: > I'm adding Arnaud to the loop because he's the main developer, and I can > actually see that the last commit (https://github.com/ANSSI-FR/SmartPGP/comm > it >

Bug#889961: courier-authdaemon: Upgrade failures in 0.68.0-4 package

2018-02-09 Thread Amos Jeffries
Package: courier-authdaemon Version: 0.68.0-4+b1 Severity: critical stop The Courier authdaemon package is failing to configure during install. Similar issue happened on the -3 package but I managed to get that to install with manually stopping all courier processes before upgrading. That

Bug#889603: texlive-latex-extra: ucs support for Unicode character U+200A (hair space)?

2018-02-09 Thread Petter Reinholdtsen
Hi Andreas, and thank you for your swift response. :) [Andreas Hoenen] > The problem in your example is telling dblatex to use the XeTeX backend, > but using the LaTeX engine on the resulting XeTeX file. Right. So the fact that utf8 also trigger the problem is irrelevant? Is it not needed

Bug#889974: Sylpheed: adjust dependency

2018-02-09 Thread Hideki Yamane
Package: sylpheed Severity: minor Hi, In debian/control, > Recommends: sylpheed-i18n, xfonts-100dpi | xfonts-75dpi | > xfonts-100dpi-transcoded | xfonts-75dpi-transcoded, aspell-en | > aspell-dictionary, ca-certificates Well, why sylpheed package recommends xfonts-* packages? Most of

Bug#888912: sagemath test failures with mpfr 4.0.0 and several architectures

2018-02-09 Thread Peter Green
Not a surprise as long as some dependencies are built against libmpfr4. It looks like all dependencies are now rebuilt against libmpfr6 but sagemath is still failing. https://buildd.debian.org/status/fetch.php?pkg=sagemath=amd64=8.1-2%2Bb2=1517950645=0

Bug#884865: Response?

2018-02-09 Thread Brett Johnson
Any chance of a response to this request? If y'all think it's a bad idea, or don't want to do it, that's OK, I'll go back to the drawing board and try to figure out some sane way to package/version glslang and spirv-tools independently (although that's going to be difficult, as they don't have

Bug#853527: lmms: ftbfs with GCC-7

2018-02-09 Thread Javier Serrano Polo
El dv 09 de 02 de 2018 a les 17:22 +0300, Dmitry Eremin-Solenikov va escriure: > Any progress on uploading > 1.1.3-8 or packaging 1.1.90? Pending upload. smime.p7s Description: S/MIME cryptographic signature

Bug#859324: glade: eats unrelated key-repeat events

2018-02-09 Thread Sébastien Villemot
Control: severity -1 important Control: tags -1 + upstream fixed-upstream patch Control: fixed -1 3.20.2-1 Control: forwarded -1 https://bugzilla.gnome.org/show_bug.cgi?id=763624 Dear Matthias, dear GNOME Maintainers, On Sun, 02 Apr 2017 11:07:46 +0200 Matthias Urlichs

Bug#675008: bash: should handle /etc/bashrc.d (or similar) for non-login interactive shell

2018-02-09 Thread Laurent Bigonville
Hello, More and more packages are adding files to /etc/profile.d/ but nothing is sourcing them by default in debian. $ apt-file search /etc/profile.d/|wc -l 23 Other distributions (RH-like) are sourcing files put in that directory for years now (but not /etc/profile itself) From

Bug#889990: gnome-boxes: Unable to start VMs because CPU mode 'custom' for x86_64 kvm domain on x86_64 host is not supported

2018-02-09 Thread Jeremy Bicha
On Fri, Feb 9, 2018 at 2:30 PM, Nick Quinn wrote: > gnome-boxes is unusable for me as every time I start a VM it throws this > error. Please report this bug upstream since there doesn't appear to be any Debian-specific reason for this problem.

Bug#889963: Use iso_3166-1.mo filename instead of symlink

2018-02-09 Thread Cyril Brulebois
Control: tag -1 pending Hi, Dr. Tobias Quathamer (2018-02-09): > I spotted a minor issue in localechooser, because I've renamed the > gettext domains in iso-codes to better match the ISO standard. The old > gettext domains are still provided as symlinks, but eventually I'll >

Bug#889988: debian-reference: Correct suggest dependency for subversion - Chapter 10.8

2018-02-09 Thread mechtilde
Source: debian-reference Severity: normal Tags: patch As I tried to install Subversion I found the package "libapache2-svn" isn't in Stretch or newer. Since Wheezy it is a transitional package. Now subversion suggests libapache2-mod-svn. I attach a patch for it: diff --git

Bug#889989: openvpn host route not restored after suspend-to-ram on systems using systemd

2018-02-09 Thread Alex
Package: openvpn Version: 2.4.0-6+deb9u2 Severity: important Dear Maintainer, when using openvpn with a VPN which overrides the default route it does not reconnect after suspend to RAM. After the computer wakes up again the host route for the vpn server is missing and openvpn cannot reconnect

Bug#889991: lintian: Please warn if versions differ only in the epoch

2018-02-09 Thread Ian Campbell
Package: lintian Version: 2.5.65 Severity: wishlist Dear Maintainer, The recent "Debian part of a version number when epoch is bumped" has highlighted the fact that the epoch is not included in the names of the various package files (source and binary) and that this can potentially cause

Bug#889987: Steam can't install. Depends on libc6:i386, libstdc++6:i386, and more

2018-02-09 Thread Stephen Kitt
Hi Jörg, On Fri, 09 Feb 2018 19:39:39 +0100, Jörg Frings-Fürst wrote: > on a fresh buster, sid install I get on > > $ sudo apt-get install steam [...] > Die folgenden Pakete haben unerfüllte Abhängigkeiten: > steam:i386 : Hängt ab von: libc6:i386 (>= 2.15) soll aber nicht

Bug#889992: photofilmstrip: missing translations in desktop file

2018-02-09 Thread Ronny Standtke
Package: photofilmstrip Version: 3.3.1-1~bpo9+1 Severity: minor Tags: patch, l10n The photofilmstrip desktop file is missing translations. This is user visible e.g. in the KDE Plasma start menu. The attached patch adds a German translation. -- System Information: Debian Release: 9.3   APT

Bug#876934: openorienteering-mapper FTBFS: test failures

2018-02-09 Thread Kai Pastor, DG0YT
Am 09.02.2018 um 16:03 schrieb Sebastiaan Couwenberg: In preparating of the proj transition openorienteering-mapper (0.7.0-1) was rebuilt in my cowbuilder chroot where these tests caused FTBFS too. I'll raise the severity of this issue to serious when the proj transition starts. Kind Regards,

Bug#889993: Install failes at select and install software

2018-02-09 Thread Fredrik johan angelsen
Package: installation-reports Boot method: USB-Disk Image version: https://cdimage.debian.org/cdimage/buster_di_ alpha2/amd64/iso-cd/debian-buster-DI-alpha2-amd64-netinst.iso Date: 09.02.2018 Machine: MB:AB350M Pro4 bios version 4.50(https://www.asrock.com/mb /AMD/AB350M%20Pro4/index.asp)

Bug#889985: Fw: Debian-installer - sublevel3 - Time zones - Dushanbe - Tajikistan

2018-02-09 Thread Holger Wansing
Package: tzsetup Severity: wishlist Turning this into a bugreport. Thanks for the notice Date: Thu, 8 Feb 2018 16:39:11 +0500 From: To: "'Christian Perrier'" , "'Holger Wansing'" Cc: ,

Bug#889986: nomad: new upstream version: 0.7.1

2018-02-09 Thread Leo Antunes
Package: nomad Version: 0.4.0+dfsg-1 Severity: wishlist Dear Maintainers, Just a friendly poke: maybe someone in the pkg-go team has some time to update nomad? Or are there any dependency issues? In this case this could be documented here for other people like me ;) Cheers, Leo -- System

Bug#889982: wrong maintain email...

2018-02-09 Thread Peter Silva
I just tested it, and peter_si...@sourceforge.net doesn't work, listed as one of the upstream source emails. Substitute: peter.silva@gmail.com is perhaps better then.

Bug#889829: ghc: error while loading shared libraries: libHShaskeline-0.7.3.0-ghc8.0.2.so

2018-02-09 Thread Holger Levsen
On Fri, Feb 09, 2018 at 11:43:56AM +, James Clarke wrote: > What version of glibc do you have? Have you got any interesting (to ld.so) > environment variables exported or configuration files changed? root@appvm:/home/user# ghc /usr/lib/ghc/bin/ghc: error while loading shared libraries:

Bug#889987: Steam can't install. Depends on libc6:i386, libstdc++6:i386, and more

2018-02-09 Thread Jörg Frings-Fürst
Source: steam Version: 1.0.0.54-3 Severity: grave Hi, on a fresh buster, sid install I get on $ sudo apt-get install steam Paketlisten werden gelesen... Fertig Abhängigkeitsbaum wird aufgebaut. Statusinformationen werden eingelesen Fertig Einige Pakete konnten nicht installiert werden. Das

Bug#889987: Steam can't install. Depends on libc6:i386, libstdc++6:i386, and more

2018-02-09 Thread Adrian Bunk
On Fri, Feb 09, 2018 at 07:39:39PM +0100, Jörg Frings-Fürst wrote: > Source: steam > Version: 1.0.0.54-3 > Severity: grave > > Hi, > > on a fresh buster, sid install I get on > > $ sudo apt-get install steam >... > Die folgenden Pakete haben unerfüllte Abhängigkeiten: > steam:i386 : Hängt ab

Bug#889987: steam: depends on non-existent libtxc-dxtn0

2018-02-09 Thread James Cowgill
Control: retitle -1 steam: depends on non-existent libtxc-dxtn0 Hi, On 09/02/18 19:44, Stephen Kitt wrote: > Hi Jörg, > > On Fri, 09 Feb 2018 19:39:39 +0100, Jörg Frings-Fürst > wrote: >> on a fresh buster, sid install I get on >> >> $ sudo apt-get install steam > [...] >>

Bug#889990: gnome-boxes: Unable to start VMs because CPU mode 'custom' for x86_64 kvm domain on x86_64 host is not supported

2018-02-09 Thread Nick Quinn
Package: gnome-boxes Version: 3.27.90-1 Severity: important Dear Maintainer, gnome-boxes is unusable for me as every time I start a VM it throws this error. I can create and run VMs with libvirt using virt-manager, but if I import those VMs into gnome-boxes, immediately the same error is

Bug#889984: qtcreator: clang code model after update on 4.5 not available anymore

2018-02-09 Thread Lennart Nachtigall
Package: qtcreator Version: 4.5.0-3 Severity: important Tags: d-i Dear Maintainer, after updating on version 4.5 the clang codemodel plugin isn't available anymore. (Isn't listed under Help->Plugins) I tested the version in testing (4.5.0-2) and in unstable (4.5.0-3) both are affected. I am

Bug#876934: openorienteering-mapper FTBFS: test failures

2018-02-09 Thread Sebastiaan Couwenberg
On Mon, 9 Oct 2017 10:54:14 +0200 Graham Inggs wrote: > I've just tried sbuild in an amd64 sid schroot and > openorienteering-mapper builds fine for me. > > I noticed it also still builds in testing on the reproducible-builds > buildds. > > Why don't co-maintainers (uploaders) receive bug by

Bug#888073: Multiarch interpreter names for traditional architectures

2018-02-09 Thread Aurelien Jarno
On 2018-02-09 15:20, Javier Serrano Polo wrote: > El dv 09 de 02 de 2018 a les 15:02 +0100, Aurelien Jarno va escriure: > > The notion of "multiarch interpreter" doesn't exist. > > It does exist, but you do not accept it. You are now denying the > official support that exists in Debian. I love

Bug#889975: roffit: debian/rules does not override targets as intended

2018-02-09 Thread Chris Lamb
Source: roffit Version: 0.7~20120815+gitbbf62e6-1 Severity: minor Tags: patch Hi, Your debian/rules contains: override_dh_auto_config, override_dh_auto_build, override_dh_auto_install: # Disable, see debian/install I believe this should be: override_dh_auto_config:

Bug#889973: seahorse FTCBFS: uses the build architecture pkg-config

2018-02-09 Thread Helmut Grohne
Source: seahorse Version: 3.20.0-5 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap Control: affects 889920 + src:seahorse Control: affects 889925 + src:seahorse seahorse fails to cross build from source, because it use the build architecture pkg-config (via AC_PATH_PROG rather

Bug#888880: Hyvää päivää,

2018-02-09 Thread Corporate Lenders
Hyvää päivää,    Olen Thomas Walter, joka on rahoitusalan edustaja tunnetusta lainanantajasta, joka tunnetaan nimellä Corporate Lenders. Onko sinulla huono luotto tai tarvitset rahaa maksamaan laskuja? korko on 3%. Täytä alla oleva lomake, jos olet kiinnostunut lainasta. Koko nimi:

Bug#889980: missing python3 autopkg test dependencies

2018-02-09 Thread Matthias Klose
Package: src:txzmq Version: 0.7.4-2 Severity: important Tags: sid buster patch missing python autopkg test dependencies patch at http://launchpadlibrarian.net/356269392/txzmq_0.7.4-2ubuntu1_0.7.4-2ubuntu2.diff.gz Maybe it's better to write a second test for the Python3 runs. However, for me at

Bug#882328: [Pkg-gauche-devel] Bug#882328: gauche-c-wrapper FTBFS with glibc 2.25

2018-02-09 Thread Jens Thiele
another idea would be to allow to skip macros via some keyword :skip-macro example patch: --- gauche-c-wrapper-0.6.1/lib/c-wrapper/c-parser.scm 2009-08-08 16:44:52.0 +0200 +++ gauche-c-wrapper-0.6.1.new/lib/c-wrapper/c-parser.scm 2018-02-09 16:56:03.390344967 +0100 @@ -1099,7

Bug#795593: systemsettings: Also happens with Alt+F1 Activate Application Launcher, but it also implicitly maps the Win key

2018-02-09 Thread Vivia Nikolaidou
Dear Maintainer, The initial bug reported should be now fixed: https://bugs.kde.org/show_bug.cgi?id=347352 My bug is actually a combination of two different issues, both upstream, and both different from the one initially reported here. One is this: https://bugs.kde.org/show_bug.cgi?id=346918

Bug#889972: ITP: node-hullabaloo-config-manager -- Manages complex Babel config chains

2018-02-09 Thread Pirate Praveen
Package: wnpp Severity: wishlist Owner: Pirate Praveen X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-hullabaloo-config-manager Version : 1.1.1 Upstream Author : Mark Wubben (https://novemberborn.net/) * URL :

Bug#877388: s-nail adoption

2018-02-09 Thread Paride Legovini
Dear Hilko, If you didn't change your mind, I would like to adopt s-nail. I used it quite a few times when developing email sending scripts and it always served me well. I would be happy to take care of its Debian package. I took a look at the packaging and I see it's up-to-date with the latest

Bug#863863: ITP: gmailieer -- Fast fetch and two-way tag synchronization between notmuch and GMail

2018-02-09 Thread Julian Andres Klode
Control: tag -1 pending On Thu, Jun 01, 2017 at 09:13:09AM +0200, Julian Andres Klode wrote: > Package: wnpp > Severity: wishlist > Owner: Julian Andres Klode > > (gauteh: this is a Debian packaging intent) > > * Package name: gmailieer > Version : 0.1+git >

Bug#889106: Multiarch interpreter names for traditional architectures

2018-02-09 Thread Javier Serrano Polo
El dv 09 de 02 de 2018 a les 16:03 +0100, Aurelien Jarno va escriure: > I love the way you use "official" here. Me too. It is precisely your policy not to include any unnecessary file because "experience shows that users are very imaginative when you provide a feature". You have taken steps to

Bug#889982: RFS: python3-metpx-sarracenia [put in ITP] - file transfer thingum.

2018-02-09 Thread Peter Silva
Package: sponsorhip-requests Severity: wishlist I am looking for a sponsor for my package python3-metpx-sarracenia. It has been in development since 2013, and it is now getting stable enough that putting it into a stable repository is starting to make sense. currently alpha, should make it to

Bug#857081: linux-image-rt-amd64-unsigned: NOHZ: local_softirq_pending 80

2018-02-09 Thread Fernando Toledo
On Thu, 29 Jun 2017 19:08:59 +0200 Laurent Bonnaud wrote: > Hi, > > this bug is still there in kernel 4.11.6 : > > $ uname -a > Linux irancy.iut2.upmf-grenoble.fr 4.11.0-1-rt-amd64 #1 SMP PREEMPT RT Debian > 4.11.6-1 (2017-06-19) x86_64 GNU/Linux > > $ dmesg > [...] >

Bug#889983: stretch-pu: package glade/3.20.0-2+deb9u1

2018-02-09 Thread Sébastien Villemot
Package: release.debian.org Severity: normal Tags: stretch User: release.debian@packages.debian.org Usertags: pu Dear Release Team, I prepared a p-u for glade, fixing #859324 (basically glade eats a lot of CPU as soon as a non-trivial UI is created). The debdiff is attached. It also

Bug#889977: mdadm: checkarray --all only processes one array if scheduling class not specified

2018-02-09 Thread Tony
Package: mdadm Version: 3.4-4+b1 Severity: normal Dear Maintainer, If --all given but no scheduling class specified only one array is checked. This appears to be because at lines 194-200 the variable ionice is checked. If no class is given then this is blank and the script exits. I thing the

Bug#889978: mdadm: Monthly checkarray not run if machine not running overnight

2018-02-09 Thread Tony
Package: mdadm Version: 3.4-4+b1 Severity: normal Dear Maintainer, mdadm schedules a run of checkarray once a month using an entry in /etc/cron.d However, if the machine is not running at the time this is scheduled it will not be run, even when the machine is reloaded. Perhaps this should be

Bug#889976: ITP: node-package-hash -- hash for an installed npm package

2018-02-09 Thread Pirate Praveen
Package: wnpp Severity: wishlist Owner: Pirate Praveen X-Debbugs-CC: debian-de...@lists.debian.org * Package name: node-package-hash Version : 2.0.0 Upstream Author : Mark Wubben (https://novemberborn.net/) * URL :

Bug#889979: Composite extension broken

2018-02-09 Thread Theodore Lytras
Package: xserver-xephyr Version: 1:1.19.6-1 Severity: important I use Xephyr to play Sid Meier's Alpha Centauri (yes, people still play that), and this requires disabling its Composite extension (or the game hangs). Unfortunately, on my amd64 machine with Xephyr version 1.19.6 this throws an

Bug#889995: steam: Fails to install: depends on removed package libtxc-dxtn0:i386

2018-02-09 Thread Joe Dight
Package: steam Version: 1.0.0.54-3 Severity: important Dear Maintainer, Steam fails to install, as follows: The following packages have unmet dependencies: steam:i386 : Depends: libtxc-dxtn0:i386 but it is not installable E: Unable to correct problems, you have held broken packages.

Bug#886944: python3-regex: unhandled symlink to directory conversion: /usr/share/doc/PACKAGE

2018-02-09 Thread Nicholas D Steeves
Hi Sandro, On Thu, Feb 08, 2018 at 10:47:08PM -0500, Sandro Tosi wrote: > Hello Nicholas, > > On Tue, Feb 6, 2018 at 10:15 PM, Nicholas D Steeves > wrote: > > > > Hi Sandro, > > > > Would you like a patch for current_version-new_revision or for > > new_upstream_version-1?

Bug#739300: dh_sphinxdoc: Please replace MathJax.js with links to the packaged libjs-mathjax

2018-02-09 Thread Nicholas D Steeves
Hi! On Sun, Dec 04, 2016 at 11:51:38AM +0300, Dmitry Shachnev wrote: > Hi Ximin! > > On Sat, Dec 03, 2016 at 01:49:00AM +, Ximin Luo wrote: > > Could dh_sphinxdoc not scan the html files for

Bug#890004: ITP: carml -- carml is a command-line tool to query and control a running Tor

2018-02-09 Thread ju xor
Package: wnpp Severity: wishlist Owner: ju xor * Package name: carml Version : 17.4.0 Upstream Author : meejah * URL : https://github.com/meejah/carml * License : public domain Programming Lang: Python Description :

Bug#890005: (no subject)

2018-02-09 Thread Jordan Waughtal
Subject: unison-gtk requires the unison package inorder to use an ssh profile. Package: unison-gtk Version: 2.48.3-1 Severity: important Dear Maintainer, *** Reporter, please consider answering these questions, where appropriate *** * What led up to the situation? * What exactly did you

Bug#889991: Debian part of a version number when epoch is bumped

2018-02-09 Thread Chris Lamb
Hi Ian, > > Yes. Please file bugs for this. :) > > > > Note however that such a lintian check should not consider changelog > > entries indicating another source package name. > > Done: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=889991 Done:

Bug#845031: phpmyadmin: 4.7 for Stretch/backports?

2018-02-09 Thread Michal Čihař
Hello On Tue, 2017-12-05 at 09:07 +0100, Olaf van der Spek wrote: > Dear Maintainer, > > Could you provide 4.7 for Stretch and/or set depends such that it can > be installed on Stretch as is? There are no 4.7 packages which could be backported, see https://bugs.debian.org/879741 Also due to

Bug#890002: openshot-qt: desktop file is missing translations

2018-02-09 Thread Ronny Standtke
Package: openshot-qt Version: 2.4.1-1~bpo9+1 Severity: minor Tags: patch, l10n The openshot-qt desktop file is missing translations. This is user visible in e.g. the KDE Plasma start menu. The attached patch adds a German translation. -- System Information: Debian Release: 9.3   APT prefers

Bug#889987: steam: depends on non-existent libtxc-dxtn0

2018-02-09 Thread Alexandre Detiste
Hi, This package was a workaround againt S3TC pattent. This pattent has now expired and functionality has been merged into Mesa. Greetings, https://www.phoronix.com/scan.php?page=news_item=S3TC-Lands-In-Mesa 2018-02-09 20:59 GMT+01:00 James Cowgill : > > Control: retitle

Bug#889753: uwsgi: diff for NMU version 2.0.15-10.2

2018-02-09 Thread Salvatore Bonaccorso
Control: tags 889753 + patch Dear maintainer, I've prepared an NMU for uwsgi (versioned as 2.0.15-10.2). Not yet uploaded (to any delayed queue). Regards, Salvatore diff -Nru uwsgi-2.0.15/debian/changelog uwsgi-2.0.15/debian/changelog --- uwsgi-2.0.15/debian/changelog 2018-01-24

Bug#889996: resiprocate-turn-server: broken init script stop action

2018-02-09 Thread Julien Cristau
Package: resiprocate-turn-server Version: 1:1.11.0~beta1-3 Severity: serious User: debian-ad...@lists.debian.org Usertags: needed-by-DSA-Team X-Debbugs-Cc: debian-ad...@lists.debian.org Hi, your init script "stop" action is broken. stop) log_daemon_msg "Stopping $DESC ($NAME)" $BIN

Bug#889997: git-buildpackage: gbp create-remote-repo should default to salsa, not git.debian.org

2018-02-09 Thread Daniel Kahn Gillmor
Package: git-buildpackage Version: 0.9.7 Severity: wishlist alioth (which provided git.debian.org) is reaching end of life. debian developers are encouraged to use salsa.debian.org instead. gbp create-remote-repo has some defaults which point to alioth, which should point to salsa instead.

Bug#889998: pycryptodome: CVE-2018-6594

2018-02-09 Thread Salvatore Bonaccorso
Source: pycryptodome Version: 3.4.7-1 Severity: important Tags: patch security upstream Forwarded: https://github.com/Legrandin/pycryptodome/issues/90 Hi, the following vulnerability was published for pycryptodome. CVE-2018-6594[0]: | lib/Crypto/PublicKey/ElGamal.py in PyCrypto through 2.6.1

Bug#890001: libspring-java: CVE-2018-1199 Security bypass with static resources

2018-02-09 Thread Markus Koschany
Package: libspring-java X-Debbugs-CC: t...@security.debian.org Severity: grave Tags: security Hi, the following vulnerability was published for libspring-java. I intend to fix this in sid/buster by uploading 4.3.14. CVE-2018-1199[0]: Security bypass with static resources If you fix the

Bug#883245: Bug back in 52.6.0

2018-02-09 Thread Maryse Argouin & Jean Lafontaine
Hi the bug was resolved but is now back with Thunderbird 52.6.0 Thanks! Jean

Bug#890006: make the testsuite more verbose, so it doesn't time out

2018-02-09 Thread Matthias Klose
Package: src:python-gnupg Version: 0.4.1-1 Severity: important Tags: patch if your buildd doesn't have much entropy, the build fails with a timeout. Just make the build more verbose, so it doesn't time out. Each test takes less than 150min to run ... patch at

Bug#889753: uwsgi: diff for NMU version 2.0.15-10.2

2018-02-09 Thread Salvatore Bonaccorso
Control: tags -1 + pending Jonas confirmed me on IRC to be fine to straight upload rather than targed a delayed queue. I have as well prepared updates for jessie- and stretch-pu. Regards, Salvatore

Bug#865043: Please drop Build-Depends on deprecated libck-connector-dev

2018-02-09 Thread Steve Langasek
Control: severity -1 serious consolekit binaries have been dropped from all Linux architectures in an NMU, and the old binaries will soon be garbage-collected from the archive. Raising the severity of this bug report. I can confirm that lxdm still builds successfully with the trivial build-dep

Bug#890003: electrum: CVE-2018-6353

2018-02-09 Thread Salvatore Bonaccorso
Source: electrum Version: 3.0.5-1 Severity: important Tags: security upstream Forwarded: https://github.com/spesmilo/electrum/issues/3678 Hi, the following vulnerability was published for electrum. CVE-2018-6353[0]: | The Python console in Electrum through 2.9.4 and 3.x through 3.0.5 | supports

Bug#832806: Build time test failure

2018-02-09 Thread Jose Luis Rivero
On 08/02/18 05:25, Andreas Tille wrote: > > I can confirm that the problem is somehow randomized. I tried the > following patch which sometimes helps for non-reproducable issues > > $ git diff > diff --git a/debian/rules b/debian/rules > index 6b7ed6a..e677071 100755 > --- a/debian/rules > +++

Bug#888219: ignition-math4: FTBFS on *i386: OrientedBoxTest.OperatorStreamOut fails

2018-02-09 Thread Steve Langasek
Package: ignition-math4 Version: 4.0.0+dfsg1-1 Followup-For: Bug #888219 User: ubuntu-de...@lists.ubuntu.com Usertags: origin-ubuntu bionic ubuntu-patch Hello, I can confirm that building with -ffloat-store fixes this issue on i386.

Bug#890013: ITP: goconvey -- Go testing in the browser. Integrates with 'go test`. Write behavioral tests in Go.

2018-02-09 Thread Manas Kashyap
Package: wnpp Severity: wishlist Owner: Manas kashyap X-Debbugs-CC: debian-de...@lists.debian.org, pkg-go-maintain...@lists.alioth.debian.org * Package name: goconvey Version : 1.6.3 Upstream Author : SmartyStreets * URL :

Bug#839046: debootstrap: enable --merged-usr by default

2018-02-09 Thread Ian Jackson
I had a conversation with Marco about this at FOSDEM. I'm sorry to say that I still don't understand why we would make this change. The links provided do not explain what the benefits are. And there are downsides. One obvious downside is reduced testing of existing systems which have

Bug#890009: vulkan: Missing packages for SDK layers.

2018-02-09 Thread Mike Mestnik
Source: vulkan Version: 1.0.65.2+dfsg1-1 Severity: normal -BEGIN PGP SIGNED MESSAGE- Hash: SHA256 The layers are important for collecting debug information and traces. I'd perticularily like to see VK_LAYER_LUNARG_api_dump and VK_LAYER_LUNARG_standard_validation plus thier dependancies.

Bug#873240: redshift-gtk: Python 3 permissions

2018-02-09 Thread John Scott
Package: redshift-gtk Version: 1.11-1 Followup-For: Bug #873240 -BEGIN PGP SIGNED MESSAGE- Hash: SHA512 I don't think this has anything to do with GNOME or Wayland. I'm using MATE on X, and I have the same issue. It looks like a non-trivial one to fix, though. I invoked Python with -v

Bug#890012: namazu2-index-tools: mknmz fails with Perl 5.26

2018-02-09 Thread Tatsuya Kinoshita
Package: namazu2-index-tools Version: 2.0.21-21 Severity: important mknmz fails because of the following error: ``` $ perl -c /usr/share/namazu/filter/hnf.pl Unescaped left brace in regex is illegal here in regex; marked by <-- HERE in m/%{ <-- HERE ?([a-z]+)}?/ at

Bug#890007: condor ftbfs on all architectures

2018-02-09 Thread Matthias Klose
Package: src:condor Version: 8.6.8~dfsg.1-1 Severity: serious Tags: sid buster looks it doesn't build with the new gsoap. cd "/<>/obj-x86_64-linux-gnu/src/condor_collector.V6" && /usr/bin/c++ -DBUILD_DATE="\"Feb 06 2018\"" -DCONDOR_VERSION=\"8.6.8\" -DGLIBC226=GLIBC226 -DGLIBC=GLIBC

Bug#744196: HELLO...

2018-02-09 Thread Debra Parslow
From: Debra Parslow Sent: Saturday, 10 February 2018 10:43 AM Subject: RE: HELLO... I av' been trying to reach you, contact me on---> jonathansymonds...@outlook.com for more details

Bug#888839: update soon

2018-02-09 Thread 積丹尼 Dan Jacobson
https://github.com/htacg/tidy-html5/issues/675#issuecomment-364540044

Bug#890008: init(8): Some corrections to the manual

2018-02-09 Thread Bjarni Ingi Gislason
Package: init Version: 1.51 Severity: minor Tags: patch Dear Maintainer, Test nr. 1: Remove space at end of lines. 122:it is signaled by \fBtelinit\fP to change the system's runlevel. 177:tell \fBinit\fP to re-execute itself (preserving the state). No re-examining of # Test nr. 2: Fix

Bug#890010: deluge-web: Doesn't work over IPv6

2018-02-09 Thread Witold Baryluk
Package: deluge-web Version: 1.3.13+git20161130.48cedf63-3 Severity: important Tags: ipv6 # ss -apn | grep deluge-web tcpLISTEN 0 50*:8112 *:* users:(("deluge-web",pid=4442,fd=3)) ... # but I am not able to connect to this port using

Bug#890011: man page headers lack full NAME item

2018-02-09 Thread 積丹尼 Dan Jacobson
Package: markdown Version: 1.0.2~b8-3 File: /usr/share/man/man1/markdown.1.gz A proper NAME item looks like NAME cat - concatenate files and print on the standard output That way $ apropos markdown Markdown (3) - (unknown subject) markdown (1) - (unknown subject)

Bug#887917: should not depend on initramfs-tools

2018-02-09 Thread Ritesh Raj Sarraf
On Sun, 2018-01-21 at 18:05 +0100, Thomas Lange wrote: > multipath-tools-boot depends on initramfs-tools instead of > linux-initramfs-tool. This prevents using multipath with dracut, a > initramfs-tools replacement. linux-initramfs-tool is provided by > dracut and initramfs-tools. I don't have

Bug#885408: multipath-tools: please make the build reproducible

2018-02-09 Thread Ritesh Raj Sarraf
Control: tag -1 +pending On Thu, 2018-02-08 at 13:53 +0530, Chris Lamb wrote: > unarchive 885408 > found 885408 0.7.4-2 > tags 885408 + patch > thanks > Thanks. I have added it to my repo and it'll be part of next upload. Ritesh > Hi, > > It seems like my patch was inccomplete: > >

Bug#890015: fig2dev: global buffer overflow while running fig2dev

2018-02-09 Thread Joonun Jang
Package: fig2dev Version: 1:3.2.6a-6 Severity: important Tags: security global buffer overflow running fig2dev with "-L pdf poc" option Running 'fig2dev -L pdf poc' with the attached file raises global buffer overflow which may allow a remote attacker to cause unspecified impact including

Bug#889625: poco: Please use mariadb directly, not mysql-defaults

2018-02-09 Thread Steve Langasek
Package: poco Version: 1.8.0.1-1 Followup-For: Bug #889625 User: ubuntu-de...@lists.ubuntu.com Usertags: origin-ubuntu bionic ubuntu-patch Control: retitle -1 Please fix support for MySQL Hello, Unfortunately, building against mariadb in distros that use MySQL as the default has knock-on

  1   2   >